You can build great websites. We can help! You will get expert support and over 3,000 videos! Start your free trial now!
Welcome, Guest
Username: Password:

TOPIC: Error in 2.5.9 update

Error in 2.5.9 update 3 years 10 months ago #64890

Hi, anyone knows how fix the error:

PHP Warning: usort() [<a href='function.usort'>function.usort</a>]: Array was modified by the user comparison function in ........\libraries\joomla\utilities\arrayhelper.php on line 463

This error occurs after last update - 2.5.8 to 2.5.9

P.S. This error is in admin, the frontend runs normally....

Thanks all!
Last Edit: 3 years 10 months ago by goodpixel.
Please become a member of
OSTraining to reply to this post.

Error in 2.5.9 update 3 years 10 months ago #64911

  • steve
  • steve's Avatar
  • NOW ONLINE
  • Posts: 10808
  • Thank you received: 381
Hi goodpixel and welcome to OSTraining!

Can you go to Extensions > Extension Manager > Database and click Fix? Does that remove the error?

Also, what kind of server are you running the site on?
Please become a member of
OSTraining to reply to this post.

Error in 2.5.9 update 3 years 10 months ago #64929

Hi Steve, I'm running Joomla in Linux server, with php 5.2
I can't access admin to make Database Fix.

I'll try some mods in line error of arrayhelper... soon I'll post again results
Thanks!!
Please become a member of
OSTraining to reply to this post.

Error in 2.5.9 update 3 years 10 months ago #64930

I tried to make a modification in line 463, preceeding that with '@' and now I could access admin...

Now, lets go to database fix.

Thanks!
Please become a member of
OSTraining to reply to this post.

Error in 2.5.9 update 3 years 10 months ago #64944

  • steve
  • steve's Avatar
  • NOW ONLINE
  • Posts: 10808
  • Thank you received: 381
You're welcome, goodpixel. Glad that worked for you.
Please become a member of
OSTraining to reply to this post.
You can build great websites. We can help! You will get expert support and over 3,000 videos! Start your free trial now!